3.4 Dateien mit convert-ly aktualisieren

Die Eingabesyntax von LilyPond ändert sich graduell um etwa die Eingabe zu erleichtern oder neue Funktionen zu ermöglichen. Ein Nebeneffekt hiervon ist, dass das LilyPond-Übersetzerprogramm nicht mehr mit älteren Eingabedateien kompatibel sein kann. Um dies zu umgehen, kann convert-ly benutzt werden, welches die meisten der Syntaxänderungen korrigieren kann.

Das Programm benötigt eine \version-Information in der Eingabedatei, um zu wissen, von welcher Version konvertiert werden soll. In den meisten Fällen genügt es, den Befehl

convert-ly -e meineDatei.ly

auszuführen.

Wenn keine Veränderungen in meineDatei.ly vorgenommen wurden und eine Datei meineDatei.ly.NEW erstellt wird, it meineDatei.ly schon aktuell.


Andere Sprachen: English, español.

Programmbenutzung